/**
 * This class is a connection between offer table and wishlist table in DB
 */
package vt.CS5934.SwitchRoom.models;

import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Data
@Table(name = "user_offer_wishlist_lookup_table")
@NoArgsConstructor
public class UserOfferWishlistLookUpModel {

    @Id
    private Long wishlistItemId;
    private Long userId;
    private Long matchingOfferId;

    public UserOfferWishlistLookUpModel(Long userId, Long wishlistItemId, Long matchingOfferId) {
        this.userId = userId;
        this.wishlistItemId = wishlistItemId;
        this.matchingOfferId = matchingOfferId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getWishlistItemId() {
        return wishlistItemId;
    }

    public void setWishlistItemId(Long wishlistId) {
        this.wishlistItemId = wishlistId;
    }

    public Long getMatchingOfferId() {
        return matchingOfferId;
    }

    public void setMatchingOfferId(Long matchingOfferId) {
        this.matchingOfferId = matchingOfferId;
    }
}

/*
Change logs:
Date        |       Author          |   Description
2022-10-21  |    Fangzheng Zhang    |    create class and init

 */