package vt.CS5934.SwitchRoom.services;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import vt.CS5934.SwitchRoom.models.UserOfferModel;
import vt.CS5934.SwitchRoom.repositories.UserOfferRepository;

@Service
public class OfferPageService {
    private final Logger logger = LoggerFactory.getLogger(OfferPageService.class);

    @Autowired
    UserOfferRepository userOfferRepository;

    public UserOfferModel getUserOfferInfo(Long userId) {
        UserOfferModel userOfferModel = userOfferRepository.findByUserId(userId);
        if(userOfferModel == null) {
            userOfferModel = new UserOfferModel();
            userOfferModel.setUserId(userId);
        }
        return userOfferModel;
    }


    public UserOfferModel saveNewUserOffer(UserOfferModel offerModel) {
        return userOfferRepository.save(offerModel);
    }

    public void deleteUserOffer(Long userId) {
        userOfferRepository.deleteByUserId(userId);
    }
}
