package vt.CS5934.SwitchRoom.services;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import vt.CS5934.SwitchRoom.models.ExampleModel;
import vt.CS5934.SwitchRoom.models.UserModel;
import vt.CS5934.SwitchRoom.repositories.UserRepository;

import javax.transaction.Transactional;
import java.util.List;

@Service
public class UserService {

    /**
     * You can use logger.[trace,debug,info,warn,error]("messages") to log into file
     */
    private final Logger logger = LoggerFactory.getLogger(UserService.class);

    /**
     * Autowired is a Spring feature that it will create or looking for the existing object in memory.
     * It usually uses on Repository class, Service class, or some globe object in the class.
     */
    @Autowired
    UserRepository userRepository;

    public UserModel addUserToDB(String username, String password, String email, String firstname, String lastname, String gender){
        logger.info("Reached addNewExampleModelToDB()");
        UserModel newUser = new UserModel(username, password, email, firstname, lastname, gender, null);
        userRepository.save(newUser);
        return newUser;
    }

    public UserModel loginUser(String username) {
        logger.info("Reached loginUser() in UserService");
        UserModel existUser = userRepository.findByUsername(username);

        return existUser;
    }
}
